| AOMedia AV1 Codec

Data Structures | Macros | Typedefs | Enumerations
aomdx.h File Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Decoder

Provides definitions for using AOM or AV1 within the aom Decoder interface. More...

`#include "aom/aom.h"`

Go to the source code of this file.

## Data Structures
struct | aom_inspect_init
| Structure to hold inspection callback and context. More...
struct | Av1DecodeReturn
| Structure to collect a buffer index when inspecting. More...
struct | aom_tile_data
| Structure to hold a tile's start address and size in the bitstream. More...
struct | aom_tile_info
| Structure to hold information about tiles in a frame. More...
struct | aom_still_picture_info
| Structure to hold information about still image coding. More...
struct | aom_s_frame_info
| Structure to hold information about S_FRAME. More...
struct | aom_screen_content_tools_info
| Structure to hold information about screen content tools. More...
struct | av1_ext_ref_frame
| Structure to hold the external reference frame pointer. More...

## Macros
#define | AOM_MAX_TILE_COLS 64
| Max number of tile columns.
#define | AOM_MAX_TILE_ROWS 64
| Max number of tile rows.

## Typedefs
typedef struct Accounting | Accounting
typedef void(* | aom_inspect_cb) (void *decoder, void *ctx)
typedef struct aom_inspect_init | aom_inspect_init
| Structure to hold inspection callback and context.
typedef struct aom_tile_data | aom_tile_data
| Structure to hold a tile's start address and size in the bitstream.
typedef struct aom_tile_info | aom_tile_info
| Structure to hold information about tiles in a frame.
typedef struct aom_still_picture_info | aom_still_picture_info
| Structure to hold information about still image coding.
typedef struct aom_s_frame_info | aom_s_frame_info
| Structure to hold information about S_FRAME.
typedef struct aom_screen_content_tools_info | aom_screen_content_tools_info
| Structure to hold information about screen content tools.
typedef struct av1_ext_ref_frame | av1_ext_ref_frame_t
| Structure to hold the external reference frame pointer.

## Enumerations
enum | aom_dec_control_id { AOMD_GET_LAST_REF_UPDATES = AOM_DECODER_CTRL_ID_START , AOMD_GET_FRAME_CORRUPTED , AOMD_GET_LAST_REF_USED , AV1D_GET_FRAME_SIZE , AV1D_GET_DISPLAY_SIZE , AV1D_GET_BIT_DEPTH , AV1D_GET_IMG_FORMAT , AV1D_GET_TILE_SIZE , AV1D_GET_TILE_COUNT , AV1_SET_BYTE_ALIGNMENT , AV1_INVERT_TILE_DECODE_ORDER , AV1_SET_SKIP_LOOP_FILTER , AV1_GET_ACCOUNTING , AOMD_GET_LAST_QUANTIZER , AV1_SET_DECODE_TILE_ROW , AV1_SET_DECODE_TILE_COL , AV1_SET_TILE_MODE , AV1D_GET_FRAME_HEADER_INFO , AV1D_GET_TILE_DATA , AV1D_SET_EXT_REF_PTR , AV1D_EXT_TILE_DEBUG , AV1D_SET_ROW_MT , AV1D_SET_IS_ANNEXB , AV1D_SET_OPERATING_POINT , AV1D_SET_OUTPUT_ALL_LAYERS , AV1_SET_INSPECTION_CALLBACK , AV1D_SET_SKIP_FILM_GRAIN , AOMD_GET_FWD_KF_PRESENT , AOMD_GET_FRAME_FLAGS , AOMD_GET_ALTREF_PRESENT , AOMD_GET_TILE_INFO , AOMD_GET_SCREEN_CONTENT_TOOLS_INFO , AOMD_GET_STILL_PICTURE , AOMD_GET_SB_SIZE , AOMD_GET_SHOW_EXISTING_FRAME_FLAG , AOMD_GET_S_FRAME_INFO , AOMD_GET_SHOW_FRAME_FLAG , AOMD_GET_BASE_Q_IDX , AOMD_GET_ORDER_HINT , AV1D_GET_MI_INFO }
| AOM decoder control functions. More...

## Algorithm interface for AV1
This interface provides the capability to decode AV1 streams.
aom_codec_iface_t | aom_codec_av1_dx_algo
| A single instance of the AV1 decoder.
aom_codec_iface_t * | aom_codec_av1_dx (void)
| The interface to the AV1 decoder.

## Detailed Description

Provides definitions for using AOM or AV1 within the aom Decoder interface.